/*
 *  Copyright (C) 2008 Florent Bedoiseau (electronique.fb@free.fr)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <string.h>
#include <stdio.h>

#include "AWRD.h"
#include "AWA.h"


AWRD::AWRD () : AWD (0,0,240,320, 0) {
}

AWRD::~AWRD () {
}

int AWRD::Move (int ax, int ay) {
  return 1;  // Nothing to do
}

void AWRD::Draw () {
  // Copy the area before drawing
  GfxBlit (0,saved_area,x,y,0,0,w,h);

  // Draw itself, then all the objects
  // GfxFillRectangle(0,x,y,w,h,foreground_color); // All the area
}

void AWRD::UnDraw () {
  GfxBlit (saved_area,0,0,0,x,y,w,h);
}
// End of file
