/*
 *  Copyright (C) 2008 Florent Bedoiseau (electronique.fb@free.fr)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

// TODO :
// Taille minimale d'un objet et restreindre sa taille en fonction du pere
// Rendre insensible les boutons (devalides)
// BUG si dialogues crees supperposes

#include <stdio.h>

#include "AW.h"
#include "AWA.h" // Application
#include "AWD.h" // Dialog
#include "AWVB.h"// Base for the buttons
#include "AWB.h" // Button
#include "AWL.h" // Label
#include "AWC.h" // Check button
#include "AWI.h" // Icon button

#include "buzz.h"
//
// THE TEST PROGRAM
//
int main () {
  GfxInit();

  GfxClear(0, GfxColor(0, 255, 255));

  AWA Application;
  AWD *aAWD1 = new AWD (0,0,200,200,"AWD Dialog 1");
  AWB *aAWB1 = new AWB (aAWD1, 5, 24,40,20, 100,"OK");

  AWI *aAWI1 = new AWI (aAWD1, 60,24,28,27, 102, "smilley_1.gif", "smilley_2.gif");
  AWI *aAWI2 = new AWI (aAWD1, 90,24,28,27,103, "smilley_2.gif", "smilley_1.gif");

  AWC *aAWC1 = new AWC (aAWD1, 5,64,20,20, 104);
  AWC *aAWC2 = new AWC (aAWD1, 30,64,20,20, 105);
  AWC *aAWC3 = new AWC (aAWD1, 55,64,20,20, 106);
  AWL *aAWL1 = new AWL (aAWD1, 5, 90, 130, 24, "Hello my friend");

  AWD *aAWD2 = new AWD (20,320,210, 60,"AWD Dialog 2");
  AWB *aAWB5 = new AWB (aAWD2,5, 30,200,20, 107,"Here we go !");

  AWD *aAWD3 =  new AWD (20,220,210, 60,"AWD Dialog 3");
  AWB *aAWB4 = new AWB (aAWD3,5, 30,200,20, 107,"YES !");

  UInt32 scl=GfxColor (200,200,200);
  UInt32 scd=GfxColor (50,50,50);
  UInt32 bc=GfxColor (200,0,255);
  UInt32 fc=GfxColor (100,240,100);
  //aAWB2->SetColors (scl, scd, fc, bc);
  aAWC3->SetState (1);
  GfxDrawPixmap (0, 0, 17, buzz_witdh, buzz_height, buzz);

  Application.AttachDialog (aAWD3);
  Application.AttachDialog (aAWD2);
  Application.AttachDialog (aAWD1);
  
  aAWD1->Show ();
  aAWD2->Show ();
  aAWD3->Show ();

  Application.MainLoop ();
  return 0;
}
