/*
 *  Copyright (C) 2008 Florent Bedoiseau (electronique.fb@free.fr)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

// -----------
// AVG : Gauge
// -----------
#ifndef AWG_H
#define AWG_H

#include "AW.h"

class AWD;

class AWG : public AW {
 public:
  AWG (AWD *aParent, int ax, int ay, int aw, int ah,
        bool orientation, float min, float max);
  virtual ~AWG ();

  float GetValue () const { return _value; }
  void SetValue (float value);

 protected:
  virtual void Draw ();

 private:
  float _value;
  float _min, _max;
  UInt8 _vertical;
};
#endif
